{{#unless isShowingMenuTags}}
<div class="row home-welcome__text px-3">
  <div class="col-12 p-3 home-welcome__slogan">
    {{#if isButtonNetRoute}}
    <div class="mb-3">
      <div class="home-welcome__slogan-title">{{buttonNet.name}} es:</div>
      <div class="home-welcome__slogan-sub">{{buttonNet.description}}</div>
    </div>
        {{#link-to 'button-net.index.index.new-button' 'new' class='button-with-icon__link'}}
          <div class="button-with-icon button-over-yellow">
            <div class="button-with-icon__icon--small button-with-icon__icon">{{svg-jar "atta"}}</div>
            <div class="button-with-icon__text--small button-with-icon__text">
              OFRECE / SOLICITA ALGO
            </div>
          </div>
        {{/link-to}}
    {{else}}
    <!-- <div class="mb-3">
      <div class="home-welcome__slogan-title"><strong>Colabora en lo que quieras :</strong></div>
    </div> -->
            {{#link-to 'index.index.new-button' 'new' class='button-with-icon__link'}}
                <div class="button-with-icon button-over-yellow">
                  <div class="button-with-icon__icon--small button-with-icon__icon">{{svg-jar "atta"}}</div>
                  <div class="button-with-icon__text--small button-with-icon__text">
                    OFRECE / SOLICITA ALGO
                  </div>
                </div>
            {{/link-to}}
    {{/if}}
  </div>
  {{#if isButtonNetRoute}}
    {{#unless noTrendingTags}}
      <div class="col-12 px-3 home-welcome__slogan">
        Temas de la zona:
      </div>
    {{else}}
      {{#if buttonNet.tags}}
        <div class="col-12 px-3 home-welcome__slogan">
          Temas de la Red:
        </div>
      {{/if}}
    {{/unless}}
  {{else}}
    {{#unless noTrendingTags}}
      <div class="col-12 px-3 home-welcome__slogan">
        Mira temas en :
         {{place-autocomplete-field
                classNames="home-welcome__address home-welcome__address-container"
                inputClass='home-welcome__address'
                value=searchZoneAddress
                id=welcomeAddress
                searchAction=(action 'searchByAddress')
                placeChangedCallback=(action 'searchByAddress')
                setValueWithProperty='formatted_address'
                handlerController=this
                withGeoLocate=true
                placeholder=searchZoneAddress
                disabled=isSearching
              }}
      </div>
    {{else}}
      <div class="col-12 px-3 home-welcome__slogan">
        Mira temas en el mundo:
      </div>
    {{/unless}}
  {{/if}}
  <div class="col-12 px-3 p">
    <p>
      {{#each firstTrendingTags as |tag|}}
        {{#if isButtonNetRoute}}
            {{#link-to 'button-net.index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu') class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
              {{tag.name}}
            {{/link-to}}
        {{else}}
          {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu') class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
            {{tag.name}}
          {{/link-to}}
        {{/if}}
      {{/each}}
      {{#if moreTrendingTags}}
        {{#if isButtonNetRoute}}
          {{#link-to 'button-net.index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
        {{else}}
          {{#link-to 'index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
        {{/if}}
      {{/if}}
      <!-- no tags -->
      {{#if noTrendingTags}}
        {{#unless isButtonNetRoute}}
          {{#each globalTrendingTags as |tag|}}
              {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu') class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
                {{tag.name}}
              {{/link-to}}
          {{/each}}
          {{#link-to 'index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
        {{else}}
          {{#if buttonNet.tags}}
            {{#each buttonNet.tags as |tag|}}
              {{#link-to 'button-net.index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu') class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
                {{tag.name}}
              {{/link-to}}
            {{/each}}
          {{#link-to 'button-net.index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
          {{/if}}
        {{/unless}}
      {{/if}}
      <!-- subs -->
      {{#if isButtonNetRoute}}
          <span class="mt-1">
            {{#if buttonNet.tags}}
              <button class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-2 w-100" {{action 'addInterest'}}>
                Suscríbete a los temas de {{buttonNet.name}}
              </button>
              <p class="home-welcome__subtext">*Si te suscribes recibirás alertas en tu mail de los botones que se creen</p>
            {{else if noTrendingTags}}
            {{else}}
              {{#if isAuthenticated}}
                <button class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-2 w-100" {{action 'addInterest'}}>
                  Suscríbete a estos temas
                </button>
                <p class="home-welcome__subtext">*Si te suscribes recibirás alertas en tu mail de los botones que se creen</p>
              {{/if}}
            {{/if}}
          </span>
      {{else}}
        {{#if isAuthenticated}}
            <span class="mt-1">
              <button class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-2 w-100" {{action 'addInterest'}}>
              Suscríbete a estos temas
              </button>
              <p class="home-welcome__subtext">*Si te suscribes recibirás alertas en tu mail de los botones de estos temas, puedes editar la suscripción en tu perfil.</p>
            </span>
        {{/if}}
      {{/if}}
    </p>
  </div>
  {{#unless isButtonNetRoute}}
    <div class="col-12 px-3 home-welcome__slogan">
      O colabora con tu colectivo :
    </div>
  {{/unless}}
    <div class="col-12 px-3 mb-3 home-welcome__slogan">
      {{#unless isButtonNetRoute}}
        {{#if isAuthenticated}}
          <button class="button-with-icon button-with-icon--small button-over-yellow" {{action 'toggleHideWelcome'}}>
            <div class="button-with-icon__icon--small button-with-icon__icon">{{svg-jar "atta"}}</div>
            <div class="button-with-icon__text--small button-with-icon__text">
              CREAR RED
            </div>
          </button>
        {{else}}
        {{net-picker class="" loading=loading agreedNet=buttonNet isShowingCreateNetModal=isShowingCreateNetModal}}

          <!-- {{#link-to 'register' class="button-with-icon button-with-icon--small button-over-yellow"}}
              <div class="button-with-icon__icon--small button-with-icon__icon">{{svg-jar "atta"}}</div>
              <div class="button-with-icon__text--small button-with-icon__text">
                CREAR RED
              </div>
          {{/link-to}} -->
        {{/if}}
      {{/unless}}
    </div>
  <div class="col-12 px-3 mb-3 home-welcome__slogan w-100">
    {{#if isButtonNetRoute}}
      <div class="d-flex justify-content-between mt-0">
        <button class="w-100 text-center home-welcome__small-buttons mx-3 mb-1" {{action 'copyWidgetRoute'}} type="button" name="button">
          Código para insertar Red
        </button>
      </div>
    {{/if}}
  </div>
  </div>
{{else}}
<button type="button" class="header__button home-welcome__header t-0 p-2 pb-0 mb-0">
  {{#if isButtonNetRoute}}
    {{#link-to 'button-net.index.index' click=(action 'toggleModal' 'isShowingMenuTags')}}
      {{svg-jar 'back' class="home-welcome__header-icon pb-0 mb-0"}}
    {{/link-to}}
  {{else}}
    {{#link-to 'index.index' click=(action 'toggleModal' 'isShowingMenuTags')}}
      {{svg-jar 'back' class="home-welcome__header-icon pb-0 mb-0"}}
    {{/link-to}}
  {{/if}}
</button>
{{trending-tags searchTrendingTags=searchTrendingTags buttonNet=buttonNet create=(action 'create')}}
{{/unless}}
{{yield}}
